import request from '@/assets/js/utils/request'
import getUrl from '@/assets/js/utils/get-url'

/**
 * @description 获取所有的 rerank 模型列表
 */
export function getRerankModels() {
  return request({
    url: getUrl('/third/models/rerank'),
    method: 'get'
  })
}
/**
 * @description 知识库检索模式配置
 */
export function retrievalSetting(data) {
  return request({
    url: getUrl('/datasets/detailConfigEx/retrievalSetting'),
    method: 'post',
    data
  })
}
/**
 * @description 查询系统支持的embedding模型列表
 */
export function getEmbeddingModels() {
  return request({
    url: getUrl('/third/models/text-embedding'),
    method: 'get'
  })
}
